@import "assets/scss/global";

.assign-exams-wrapper {
    position: relative;
    padding: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;

    .box-action {
        position: relative;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        width: 100%;
        padding: 24px 10px 0 10px;

        .action-filter-search {
            display: flex;
            flex-direction: row;

            .left-section {
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
                width: calc(100% - 150px);
                gap: 10px;
            }

            .right-section {
                width: 150px;
                display: flex;
                justify-content: center;
                gap: 10px;

                .extend-btn {
                    cursor: pointer;
                    width: 22px;
                    height: 22px;
                    margin-top: 10px;

                    &.active {
                        svg {
                            [stroke-linejoin="round"] {
                                stroke: $secondary-color;
                            }
                        }
                    }
                }

                .a-button-reset {
                    width: 100px;
                    // width: fit-content;
                    height: 45px;
                    box-shadow: none;
                    padding: 12px;
                    cursor: pointer;
                    border: 1px solid $secondary-color;
                    color: $secondary-color;
                    background: #FFF;

                    font-size: 13px;
                    line-height: 17px;
                    gap: 10px;

                    svg {
                        path {
                            fill: $secondary-color;
                        }
                    }

                    &.disabled {
                        border: 1px solid $border-color;
                        background: $secondary-color3;
                        color: $border-color;
                        cursor: not-allowed;

                        svg {
                            path {
                                fill: $border-color;
                            }
                        }
                    }
                }
            }

            .a-input-with-label {
                width: 282px;

                [class*='input-content'] {
                    height: 48px;
                }
            }

            .time-input {
                width: 178px;
                height: 48px;

                [class*='a-date-input'] {
                    height: 48px;
                }
            }

            .select-field {
                width: 178px;

                [class*='select-group'] {
                    height: 48px;

                    [class*='select'] {
                        right: 24px;
                    }
                }

                [class*='select-menu'] {
                    z-index: 2;
                    top: 48px;
                }
            }

            .menu-custom {
                padding: 10px;

                [class*='item'] {
                    height: unset;
                    max-height: 44px;

                    span {
                        overflow: hidden;
                        text-overflow: ellipsis;
                        display: -webkit-box;
                        -webkit-line-clamp: 2;
                        -webkit-box-orient: vertical;
                        word-break: break-word;
                    }
                }
            }

            .select-students {
                width: 178px;
                color: #202226;
                z-index: 0;

                [class*='a-select-picker'] {
                    height: 48px;
                }

                [class*='rs-btn'] {
                    min-height: unset !important;
                }

                [class*='rs-picker-check-menu'] {
                    max-width: 100%;

                }
            }
        }

        .assign-more-btn {
            width: 140px;
            height: 45px;
            display: flex;
            align-items: center;
            justify-content: center;

            button {
                display: flex;
                align-items: center;
                justify-content: center;
                padding: 12px 8px;

                width: 140px;
                background: #7C68EE;
                border-radius: 12px;

                span {
                    font-weight: 500;
                    font-size: 13px;
                    line-height: 17px;
                    color: #FFF4F4;
                }
            }
        }
    }
}

.menu-students {
    max-width: 250px;
    max-height: 290px;

    [class*='rs-checkbox-checker'] {
        &>label {
            overflow: hidden;
            text-overflow: ellipsis;
            display: -webkit-box;
            -webkit-line-clamp: 2;
            -webkit-box-orient: vertical;
            word-break: break-word;
            width: 100%;
            max-height: 50px;
        }
    }
}